Bug 136877 - ip_forward issue with lab6
ip_forward issue with lab6
Status: ON_QA
Product: Red Hat Academy
Classification: Retired
Component: RHA130 Curriculum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bowe Strickland
Bowe Strickland
Depends On:
  Show dependency treegraph
Reported: 2004-10-22 16:10 EDT by Vince Hoang
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vince Hoang 2004-10-22 16:10:01 EDT
Description of problem:

In the lab, the instructions tell you to make changes to your
interfaces earlier in the steps than enabling ip_forwarding. The
result is `service network restart` sometimes does not complete, and
/etc/resolv.conf gets overwritten, since the client workstations are
configured for DHCP.

I would suggest changing the order so that ip_forwarding should be
done BEFORE modifying interfaces to avoid confusion.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Walk through lab objectives in the order described
Additional info:

The curriculum recommends restarting the network to enable
ip_forwarding. It should be noted that ip_forwarding will NOT be
enabled unless /proc/sys/net/ipv4/ip_forward is modified, either
directly or by restarting the network. Mentioning
/proc/sys/net/ipv4/ip_forward is also good, because it provides a
means to check that ip_forwarding is enabled, rather than having to
inaccurately rely on /etc/sysctl.conf being updated.
Comment 1 Bowe Strickland 2005-08-02 09:37:22 EDT
not sure i fully understand lab issue, but change in ordring is simple
enough... done.

had wanted to avoid /proc filesystem, but went ahead and added an 
"under the hood" note to the curriculum to imply if /proc not yet
fully understood, it's not that big of an issue.

Note You need to log in before you can comment on or make changes to this bug.